import{s as pe,o as he,n as se}from"../chunks/scheduler.9f522b10.js";import{S as fe,i as ue,g as m,s as h,r as k,A as $e,h as p,f as l,c as f,j as P,u as w,k as I,y as a,a as A,v,d as _,t as T,w as b,x as F}from"../chunks/index.192f26f8.js";import{D as K}from"../chunks/Docstring.55e93c6a.js";import{T as ge,M as ae}from"../chunks/TokenizersLanguageContent.b9cc6836.js";import{H as me}from"../chunks/Heading.1a5b64b4.js";function ke($){let t,r,e,o,i,z,x=`Represents a token that can be be added to a <a href="/docs/tokenizers/main/en/api/tokenizer#tokenizers.Tokenizer">Tokenizer</a>.
It can have special options that defines the way it should behave.`,y,u,g,n,d,N="Get the content of this <code>AddedToken</code>",W,D,C,X,q,de="Get the value of the <code>lstrip</code> option",Z,M,S,ee,V,ie="Get the value of the <code>normalized</code> option",te,H,E,ne,R,le="Get the value of the <code>rstrip</code> option",oe,L,G,re,j,ce="Get the value of the <code>single_word</code> option",U;return t=new me({props:{title:"AddedToken",local:"tokenizers.AddedToken",headingTag:"h2"}}),o=new K({props:{name:"class tokenizers.AddedToken",anchor:"tokenizers.AddedToken",parameters:[{name:"content",val:""},{name:"single_word",val:" = False"},{name:"lstrip",val:" = False"},{name:"rstrip",val:" = False"},{name:"normalized",val:" = True"},{name:"special",val:" = False"}],parametersDescription:[{anchor:"tokenizers.AddedToken.content",description:"<strong>content</strong> (<code>str</code>) &#x2014; The content of the token",name:"content"},{anchor:"tokenizers.AddedToken.single_word",description:`<strong>single_word</strong> (<code>bool</code>, defaults to <code>False</code>) &#x2014;
Defines whether this token should only match single words. If <code>True</code>, this
token will never match inside of a word. For example the token <code>ing</code> would match
on <code>tokenizing</code> if this option is <code>False</code>, but not if it is <code>True</code>.
The notion of &#x201D;<em>inside of a word</em>&#x201D; is defined by the word boundaries pattern in
regular expressions (ie. the token should start and end with word boundaries).`,name:"single_word"},{anchor:"tokenizers.AddedToken.lstrip",description:`<strong>lstrip</strong> (<code>bool</code>, defaults to <code>False</code>) &#x2014;
Defines whether this token should strip all potential whitespaces on its left side.
If <code>True</code>, this token will greedily match any whitespace on its left. For
example if we try to match the token <code>[MASK]</code> with <code>lstrip=True</code>, in the text
<code>&quot;I saw a [MASK]&quot;</code>, we would match on <code>&quot; [MASK]&quot;</code>. (Note the space on the left).`,name:"lstrip"},{anchor:"tokenizers.AddedToken.rstrip",description:`<strong>rstrip</strong> (<code>bool</code>, defaults to <code>False</code>) &#x2014;
Defines whether this token should strip all potential whitespaces on its right
side. If <code>True</code>, this token will greedily match any whitespace on its right.
It works just like <code>lstrip</code> but on the right.`,name:"rstrip"},{anchor:"tokenizers.AddedToken.normalized",description:`<strong>normalized</strong> (<code>bool</code>, defaults to <code>True</code> with  &#x2014;meth:<em>~tokenizers.Tokenizer.add_tokens</em> and <code>False</code> with <code>add_special_tokens()</code>):
Defines whether this token should match against the normalized version of the input
text. For example, with the added token <code>&quot;yesterday&quot;</code>, and a normalizer in charge of
lowercasing the text, the token could be extract from the input <code>&quot;I saw a lion Yesterday&quot;</code>.`,name:"normalized"},{anchor:"tokenizers.AddedToken.special",description:`<strong>special</strong> (<code>bool</code>, defaults to <code>False</code> with  &#x2014;meth:<em>~tokenizers.Tokenizer.add_tokens</em> and <code>False</code> with <code>add_special_tokens()</code>):
Defines whether this token should be skipped when decoding.`,name:"special"}]}}),g=new K({props:{name:"content",anchor:"tokenizers.AddedToken.content",parameters:[],isGetSetDescriptor:!0}}),C=new K({props:{name:"lstrip",anchor:"tokenizers.AddedToken.lstrip",parameters:[],isGetSetDescriptor:!0}}),S=new K({props:{name:"normalized",anchor:"tokenizers.AddedToken.normalized",parameters:[],isGetSetDescriptor:!0}}),E=new K({props:{name:"rstrip",anchor:"tokenizers.AddedToken.rstrip",parameters:[],isGetSetDescriptor:!0}}),G=new K({props:{name:"single_word",anchor:"tokenizers.AddedToken.single_word",parameters:[],isGetSetDescriptor:!0}}),{c(){k(t.$$.fragment),r=h(),e=m("div"),k(o.$$.fragment),i=h(),z=m("p"),z.innerHTML=x,y=h(),u=m("div"),k(g.$$.fragment),n=h(),d=m("p"),d.innerHTML=N,W=h(),D=m("div"),k(C.$$.fragment),X=h(),q=m("p"),q.innerHTML=de,Z=h(),M=m("div"),k(S.$$.fragment),ee=h(),V=m("p"),V.innerHTML=ie,te=h(),H=m("div"),k(E.$$.fragment),ne=h(),R=m("p"),R.innerHTML=le,oe=h(),L=m("div"),k(G.$$.fragment),re=h(),j=m("p"),j.innerHTML=ce,this.h()},l(s){w(t.$$.fragment,s),r=f(s),e=p(s,"DIV",{class:!0});var c=P(e);w(o.$$.fragment,c),i=f(c),z=p(c,"P",{"data-svelte-h":!0}),F(z)!=="svelte-1tuzoyo"&&(z.innerHTML=x),y=f(c),u=p(c,"DIV",{class:!0});var Y=P(u);w(g.$$.fragment,Y),n=f(Y),d=p(Y,"P",{"data-svelte-h":!0}),F(d)!=="svelte-11ic05p"&&(d.innerHTML=N),Y.forEach(l),W=f(c),D=p(c,"DIV",{class:!0});var B=P(D);w(C.$$.fragment,B),X=f(B),q=p(B,"P",{"data-svelte-h":!0}),F(q)!=="svelte-1ysl9wg"&&(q.innerHTML=de),B.forEach(l),Z=f(c),M=p(c,"DIV",{class:!0});var J=P(M);w(S.$$.fragment,J),ee=f(J),V=p(J,"P",{"data-svelte-h":!0}),F(V)!=="svelte-1rc21rb"&&(V.innerHTML=ie),J.forEach(l),te=f(c),H=p(c,"DIV",{class:!0});var O=P(H);w(E.$$.fragment,O),ne=f(O),R=p(O,"P",{"data-svelte-h":!0}),F(R)!=="svelte-wndfu2"&&(R.innerHTML=le),O.forEach(l),oe=f(c),L=p(c,"DIV",{class:!0});var Q=P(L);w(G.$$.fragment,Q),re=f(Q),j=p(Q,"P",{"data-svelte-h":!0}),F(j)!=="svelte-2k02jz"&&(j.innerHTML=ce),Q.forEach(l),c.forEach(l),this.h()},h(){I(u,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),I(D,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),I(M,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),I(H,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),I(L,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),I(e,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(s,c){v(t,s,c),A(s,r,c),A(s,e,c),v(o,e,null),a(e,i),a(e,z),a(e,y),a(e,u),v(g,u,null),a(u,n),a(u,d),a(e,W),a(e,D),v(C,D,null),a(D,X),a(D,q),a(e,Z),a(e,M),v(S,M,null),a(M,ee),a(M,V),a(e,te),a(e,H),v(E,H,null),a(H,ne),a(H,R),a(e,oe),a(e,L),v(G,L,null),a(L,re),a(L,j),U=!0},p:se,i(s){U||(_(t.$$.fragment,s),_(o.$$.fragment,s),_(g.$$.fragment,s),_(C.$$.fragment,s),_(S.$$.fragment,s),_(E.$$.fragment,s),_(G.$$.fragment,s),U=!0)},o(s){T(t.$$.fragment,s),T(o.$$.fragment,s),T(g.$$.fragment,s),T(C.$$.fragment,s),T(S.$$.fragment,s),T(E.$$.fragment,s),T(G.$$.fragment,s),U=!1},d(s){s&&(l(r),l(e)),b(t,s),b(o),b(g),b(C),b(S),b(E),b(G)}}}function we($){let t,r;return t=new ae({props:{$$slots:{default:[ke]},$$scope:{ctx:$}}}),{c(){k(t.$$.fragment)},l(e){w(t.$$.fragment,e)},m(e,o){v(t,e,o),r=!0},p(e,o){const i={};o&2&&(i.$$scope={dirty:o,ctx:e}),t.$set(i)},i(e){r||(_(t.$$.fragment,e),r=!0)},o(e){T(t.$$.fragment,e),r=!1},d(e){b(t,e)}}}function ve($){let t,r='The Rust API Reference is available directly on the <a href="https://docs.rs/tokenizers/latest/tokenizers/" rel="nofollow">Docs.rs</a> website.';return{c(){t=m("p"),t.innerHTML=r},l(e){t=p(e,"P",{"data-svelte-h":!0}),F(t)!=="svelte-4ytcyb"&&(t.innerHTML=r)},m(e,o){A(e,t,o)},p:se,d(e){e&&l(t)}}}function _e($){let t,r;return t=new ae({props:{$$slots:{default:[ve]},$$scope:{ctx:$}}}),{c(){k(t.$$.fragment)},l(e){w(t.$$.fragment,e)},m(e,o){v(t,e,o),r=!0},p(e,o){const i={};o&2&&(i.$$scope={dirty:o,ctx:e}),t.$set(i)},i(e){r||(_(t.$$.fragment,e),r=!0)},o(e){T(t.$$.fragment,e),r=!1},d(e){b(t,e)}}}function Te($){let t,r="The node API has not been documented yet.";return{c(){t=m("p"),t.textContent=r},l(e){t=p(e,"P",{"data-svelte-h":!0}),F(t)!=="svelte-1mrchm6"&&(t.textContent=r)},m(e,o){A(e,t,o)},p:se,d(e){e&&l(t)}}}function be($){let t,r;return t=new ae({props:{$$slots:{default:[Te]},$$scope:{ctx:$}}}),{c(){k(t.$$.fragment)},l(e){w(t.$$.fragment,e)},m(e,o){v(t,e,o),r=!0},p(e,o){const i={};o&2&&(i.$$scope={dirty:o,ctx:e}),t.$set(i)},i(e){r||(_(t.$$.fragment,e),r=!0)},o(e){T(t.$$.fragment,e),r=!1},d(e){b(t,e)}}}function ze($){let t,r,e,o,i,z,x,y,u,g;return i=new me({props:{title:"Added Tokens",local:"added-tokens",headingTag:"h1"}}),x=new ge({props:{python:!0,rust:!0,node:!0,$$slots:{node:[be],rust:[_e],python:[we]},$$scope:{ctx:$}}}),{c(){t=m("meta"),r=h(),e=m("p"),o=h(),k(i.$$.fragment),z=h(),k(x.$$.fragment),y=h(),u=m("p"),this.h()},l(n){const d=$e("svelte-u9bgzb",document.head);t=p(d,"META",{name:!0,content:!0}),d.forEach(l),r=f(n),e=p(n,"P",{}),P(e).forEach(l),o=f(n),w(i.$$.fragment,n),z=f(n),w(x.$$.fragment,n),y=f(n),u=p(n,"P",{}),P(u).forEach(l),this.h()},h(){I(t,"name","hf:doc:metadata"),I(t,"content",xe)},m(n,d){a(document.head,t),A(n,r,d),A(n,e,d),A(n,o,d),v(i,n,d),A(n,z,d),v(x,n,d),A(n,y,d),A(n,u,d),g=!0},p(n,[d]){const N={};d&2&&(N.$$scope={dirty:d,ctx:n}),x.$set(N)},i(n){g||(_(i.$$.fragment,n),_(x.$$.fragment,n),g=!0)},o(n){T(i.$$.fragment,n),T(x.$$.fragment,n),g=!1},d(n){n&&(l(r),l(e),l(o),l(z),l(y),l(u)),l(t),b(i,n),b(x,n)}}}const xe='{"title":"Added Tokens","local":"added-tokens","sections":[{"title":"AddedToken","local":"tokenizers.AddedToken","sections":[],"depth":2}],"depth":1}';function Ae($){return he(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class Pe extends fe{constructor(t){super(),ue(this,t,Ae,ze,pe,{})}}export{Pe as component};
